<?

 /*************************************************************************************
 * Filename: backend.php
 *
 * This file is part of the PowerDNS JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The PowerDNS JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/pdns/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_pdns_domainmetadata extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="PowerDNS Domain Meta Data";

   $this->data->addField("id", "nr", "all", "identifier", 1, false, 0, "ID");

   $this->data->addField("domain_id", "nr", "all", "", 1, false, 0, "Domain");
   $this->data->addReference("domain_id", "pdns_domains", "id", "*:1");

   $this->data->addField("kind", "text", "all", "title", 1, 32, false, "Kind");
   $this->data->addField("content", "text", "all", "", 0, 64000, false, "Content");


   $this->data->addUnique("domainmetadata_idx", "domain_id", "kind");

   $this->data->sortOrder("domain_id", "kind");
  }
 }
?>
